Skip to content

Topup Account Credit ​

WARNING

This endpoint is only required if your accounts' credits cannot go negative, or the account has a negative limit confiugred

Topup (increase) an accounts messaging credit

Request ​

Endpoint ​

Messaging Plus expects a POST request

POST https://mplus.instagiv.com/account/{account-uuid}/credits
KeyDescriptionExample
account-uuidAccount UUID to topup16e7c990-3a03-4b4b-b98f-732aae5bf8d1

Query strings ​

KeyRequiredDescriptionExample
keytrueOrganization API key?key=aaaabbbbcccc111222333

Body ​

json
{
    "paid_credits": 1200
}
json
{
    "packaged_credits": 200
}
json
{
    "paid_credits": 1000,
    "packaged_credits": 200
}

Body parameters ​

KeyExpected valueDescription
paid_creditsintegerNumeric value to increase account paid credits by
packaged_creditsintegerNumeric value to increase account packaged credits by

Response ​

Success ​

Supplies a 200 response upon successful account topup with an empty JSON body.

Error responses ​

  • 400 Bad Request – invalid or missing key, invalid account UUID, or missing/invalid topup value
  • 402 Payment Required – not enough organization credits available to perform this topup
  • 404 Not Found – account not found or already deleted

Messaging Plus is a Cymba API